<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:import href="copy-config-template.xsl"/>
<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
  
<!-- Input Parameters -->
<xsl:param name="ChannelAgent" select="'false'"/>

<!-- Process the Channel Agemt Parameters -->
<xsl:template match="param[@name='EnableHold']" priority="2">
 <xsl:copy>
  <xsl:copy-of select="@name"/>
  <xsl:copy-of select="@type"/>
  <xsl:copy-of select="@level"/>
  <xsl:choose>
   <xsl:when test="$ChannelAgent = 'true'">
    <xsl:attribute name="mandatory">fixed</xsl:attribute>
   </xsl:when>
   <xsl:otherwise>
    <xsl:copy-of select="@mandatory"/>
    <xsl:apply-templates select="value"/>
   </xsl:otherwise>
  </xsl:choose>
  <xsl:text>&#xA;</xsl:text>
  <xsl:apply-templates select="description"/>
  <xsl:text>&#xA;</xsl:text>
  <xsl:choose>
   <xsl:when test="$ChannelAgent = 'true'">
    <xsl:element name="value">false</xsl:element>
   </xsl:when>
   <xsl:otherwise>
    <xsl:apply-templates select="value"/>
   </xsl:otherwise>
  </xsl:choose>
  <xsl:text>&#xA;</xsl:text>
 </xsl:copy>
</xsl:template>

<!-- Start the macthing -->
<xsl:template match="/">
  <xsl:apply-templates/>
</xsl:template>

</xsl:stylesheet>
