<@pp.changeOutputFile name="test/ts/TestUrlCopyTransferFactory.cpp.tmpl"/>
/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://eu-egee.org/partners/ for details on the copyright holders.
 *  For license conditions see the license file or http://eu-egee.org/license.html
 *
 *  GLite Data Transfer Agents: UrlCopyTransferFactory tests
 *
 *  Authors: Zsolt Molnar <zsolt.molnar@cern.ch - http://www.zsoltmolnar.hu>
 *  Version info: $Id: TestUrlCopyTransferFactory.cpp.ftl,v 1.1 2009/12/11 11:27:04 molnarzs Exp $
 *  Release: $Name:  $
 *
 *  NOTE: this is a test of the STUB IMPLEMENTATION of the transfer service interface
 */
#include "TestUrlCopyTransferFactory.h"
#include "UrlCopyTransferFactory.h"

namespace glite   {
namespace data    {
namespace transfer{
namespace agent   {
namespace ts      {

void TestUrlCopyTransferFactory::testIfPropertiesPassed()
{
    /** Create test parameters. In production, the configuration service reads
     * them from a config file, and fill them in. */
    ComponentConfiguration::Params params;
    <#list properties as property>
    ParamValue ${property.name?uncap_first}_pval("${property.name}", "${property.testString}");
    params["${property.name}"] = &${property.name?uncap_first}_pval;
    </#list>
    UrlCopyTransferFactory factory;
    factory.init(params);
    
    <#list properties as property>
    CPPUNIT_ASSERT_EQUAL(${property.name}::Type(${property.testVal}), factory.m_properties.${property.name?uncap_first}.value());
    </#list>
}

} // end namespace Property
} // End namespace ts
} // End namespace agent
} // End namespace transfer
} // End namespace data
} // End namespace glite
