# Copyright (c) Members of the EGEE Collaboration. 2004.
# See http://www.eu-egee.org/partners/ for details on the copyright holders.
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Script to update site-info.def files for FTS 1.5 to 2.0

# 1. All instances of VOAGENT_PYTHON should be changed to VOAGENT in the agent definition section.
# 2. TYPEDEFAULT_VOAGENT_PYTHON should be TYPEDEFAULT_VOAGENT

cat $1 | sed 's/"VOAGENT_PYTHON"/"VOAGENT"/g' | sed 's/FTA_TYPEDEFAULT_VOAGENT_PYTHON_/FTA_TYPEDEFAULT_VOAGENT_/g'


