/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004-2008.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  FTS Python Module
 *
 *  Authors: Paolo Tedesco <paolo.tedesco@cern.ch>
 *  Version info: $Id: FtsModule_File.h,v 1.1 2008/11/13 14:20:28 ptedesco Exp $
 *  Release: $Name:  $
 *
 */
namespace glite   {
namespace data    {
namespace transfer{
namespace agent   {
namespace python  {

void FileState_enum();
void File_class();
void FileArray_class();

} // end namespace python
} // end namespace agent
} // end namespace transfer
} // end namespace data
} // end namespace glite

