DECLARE
-- Insert Channel Procedure
PROCEDURE test_create_channel(
                            n    T_CHANNEL.CHANNEL_NAME%TYPE,
                            src  T_CHANNEL.SOURCE_SITE%TYPE,
                            dst  T_CHANNEL.DEST_SITE%TYPE,
                            st   T_CHANNEL.CHANNEL_STATE%TYPE,
                            f    T_CHANNEL.NOFILES%TYPE DEFAULT 10)
IS                            
BEGIN
    INSERT INTO t_channel(channel_name,source_site,dest_site,channel_state,nofiles,tx_loglevel)
        VALUES (n,src,dst,st,f,'DEBUG');
END;

-- Main
BEGIN
	-- Set Records
	test_create_channel('AGENTS_channel_1', 'CERN',        'CERN',     'Active');
	test_create_channel('AGENTS_channel_2', 'CERN',        'INFN',     'Active');
	test_create_channel('AGENTS_channel_3', 'LOCAL',       'LOCAL',    'Active');
    --test_create_channel('AGENTS_channel_4', 'LOCAL-SRM',   'LOCAL-SRM','Active');
    INSERT INTO t_channel(channel_name,source_site,dest_site,channel_state,nofiles,tx_loglevel,srmcopy_to)
        VALUES('AGENTS_channel_4','LOCAL-SRM','LOCAL-SRM','Active',10,'DEBUG',180); 
END;
/
