DECLARE
-- Insert Transfer Procedure
PROCEDURE test_create_transfer(
                            r    T_TRANSFER.REQUEST_ID%TYPE,
                            f    T_TRANSFER.FILE_ID%TYPE,
                            t    T_TRANSFER.TRANSFER_ID%TYPE,
                            st   T_TRANSFER.TRANSFER_STATE%TYPE,
                            tm   T_TRANSFER.TRANSFER_TIME%TYPE, 
                            d    T_TRANSFER.DURATION%TYPE,
                            re   T_TRANSFER.REASON_CLASS%TYPE DEFAULT NULL,
                            rs   T_TRANSFER.REASON%TYPE DEFAULT NULL)
IS
    j_id  T_TRANSFER.JOB_ID%TYPE;                        
BEGIN
    SELECT T_FILE.JOB_ID into j_id FROM T_FILE WHERE T_FILE.FILE_ID = f;
    INSERT INTO t_transfer(request_id,file_id,transfer_id,job_id,transfer_state,transfer_time,duration,reason_class,reason) 
        VALUES (r,f,t,j_id,st,tm,d,re,rs);
END;
-- Main
BEGIN
	-- Set Records
    test_create_transfer('10401'   ,10000401,0,'Processing',TO_TIMESTAMP('20050101000000','YYYYMMDDHH24MISS'),NULL);
    test_create_transfer('10402'   ,10000402,0,'Processing',TO_TIMESTAMP('20050101000000','YYYYMMDDHH24MISS'),NULL);
    test_create_transfer('10403'   ,10000403,0,'Processing',TO_TIMESTAMP('20050101000000','YYYYMMDDHH24MISS'),NULL);
    test_create_transfer('10404'   ,10000404,0,'Processing',TO_TIMESTAMP('20050101000000','YYYYMMDDHH24MISS'),NULL);
    test_create_transfer('10405'   ,10000405,0,'Processing',TO_TIMESTAMP('20050101000000','YYYYMMDDHH24MISS'),NULL);
    test_create_transfer('10406'   ,10000406,0,'Processing',TO_TIMESTAMP('20050101000000','YYYYMMDDHH24MISS'),NULL);
    test_create_transfer('10407'   ,10000407,0,'Processing',TO_TIMESTAMP('20050101000000','YYYYMMDDHH24MISS'),NULL);
    test_create_transfer('10408'   ,10000408,0,'Processing',TO_TIMESTAMP('20050101000000','YYYYMMDDHH24MISS'),NULL);
    test_create_transfer('10409'   ,10000409,0,'Processing',TO_TIMESTAMP('20050101000000','YYYYMMDDHH24MISS'),NULL);
END;
/
